<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: f4f4ee2c10d9 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-01-25 22:01 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_backup_import{
	/** @var we_backup_importBase */
	private static $class;

	static function import(): bool{
		$settings = we_backup_settings::i();
		self::$class = $settings->class;
		$data = rtrim(self::$class->readLines(), "\n");

		if(!$data){
			return self::$class->canReadMore();
		}
		$lines = explode("\n", $data);
		unset($data);
		foreach($lines as $line){
			we_backup_contentBase::setBackup($line, $settings);
		}

		return self::$class->canReadMore();
	}

}
