<?php

declare(strict_types=1);

/**
 * These should be public consts only used INSIDE WE, we should not need to load this class in frontend
 *
 * $Rev: c489e75abfa7 $
 * $Author: Lukas Imhof $
 * $Date: 2021-03-04 12:43 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_base_constants{

	/** @phan-var string */
	public const MODE_NORMAL = 'normal';

	/** @phan-var string */
	public const MODE_SEE = 'seem';

	/** @phan-var int */
	public const PING_TIME = 30; // 30 sec

	/** @phan-var int */
	public const PING_TOLERANZ = 170; // allows 4 Ping misses

	/** @phan-var int define how long Errors hold in DB */
	public const ERROR_LOG_HOLDTIME = 30; // in days

	/** @phan-var int */
	public const ERROR_LOG_MAX_ITEM_COUNT = 10000;

	/** @phan-var int */
	public const ERROR_LOG_MAX_ITEM_THRESH = 9800;

	/** @phan-var int */
	public const LOGIN_FAILED_TIME = 2; // in minutes

	/** @phan-var int */
	public const LOGIN_FAILED_NR = 3;

	/** @phan-var int */
	public const LOGIN_FAILED_HOLDTIME = 30; // in days

	/** @phan-var int */
	public const FILE_ONLY = 0;

	/** @phan-var int */
	public const FOLDER_ONLY = 1;

	/** @phan-var int */
	public const WE_EDITPAGE_PROPERTIES = 0;

	/** @phan-var int */
	public const WE_EDITPAGE_CONTENT = 1;

	/** @phan-var int */
	public const WE_EDITPAGE_INFO = 2;

	/** @phan-var int */
	public const WE_EDITPAGE_PREVIEW = 3;

	/** @phan-var int */
	public const WE_EDITPAGE_WORKSPACE = 4;

	/** @phan-var int */
	public const WE_EDITPAGE_FIELDS = 6;
	//public const WE_EDITPAGE_SEARCH = 7;

	/** @phan-var int */
	public const WE_EDITPAGE_SCHEDULER = 8;

	/** @phan-var int */
	public const WE_EDITPAGE_THUMBNAILS = 9;

	/** @phan-var int */
	public const WE_EDITPAGE_VALIDATION = 10;

	/** @phan-var int */
	public const WE_EDITPAGE_VARIANTS = 11;

	/** @phan-var int */
	public const WE_EDITPAGE_PREVIEW_TEMPLATE = 12;

	/** @phan-var int */
	public const WE_EDITPAGE_WEBUSER = 14;

	/** @phan-var int */
	public const WE_EDITPAGE_IMAGEEDIT = 15;

	/** @phan-var int */
	public const WE_EDITPAGE_DOCLIST = 16;

	/** @phan-var int */
	public const WE_EDITPAGE_VERSIONS = 17;

	/** @phan-var int */
	public const WE_EDITPAGE_COLLECTION = 18;

	/** @phan-var int */
	public const WE_EDITPAGE_TEMPLATE_UNUSEDELEMENTS = 19;

	/** @phan-var string */
	public const PLACEHOLDER = '#####placeHolder#####';

	/** @phan-var string */
	public const PLACEH_PATH = '##WEPATH##';

	/** @phan-var string */
	public const PLACEH_PUBLISHED = '###Published###';

	/** @phan-var string */
	public const DEFAULT_FORM = 'we_global_form';

	/** @phan-var string */
	public const WE_FORM = 'we_form';

	/** @phan-var string */
	public const MAINTENANCE_FRONTEND = 'Frontend';

	/** @phan-var string */
	public const MAINTENANCE_BACKEND = 'Backend';

	/** @phan-var string */
	public const MAINTENANCE_ALL = 'Frontend_Backend';

	/** @phan-var string */
	public const CHARS_PATTERN_BASIC = '[A-Za-z0-9_\-]+'; //use g_l('global', '[allowedChars][basic]') as title

	private const CHARS_FILE = 'A-Za-z0-9~:._\-\[\]\(\)';

	/** @phan-var string use this pattern for all filenames without extension */
	public const CHARS_PATTERN_FILE = '[' . self::CHARS_FILE . ']+'; //use g_l('global', '[allowedChars][file]') as title

	public const CHARS_FILE_FORBIDDEN = '[^' . self::CHARS_FOLDER  . ']';

	/** @phan-var string use this pattern for all filenames without extension */
	public const CHARS_PATTERN_EXT = '\.[a-z0-9]{1,15}'; //use g_l('global', '[allowedChars][file]') as title

	/** @phan-var string use this pattern if the extension is part of the filename */
	public const CHARS_PATTERN_FILE_EXT = self::CHARS_PATTERN_FILE . self::CHARS_PATTERN_EXT; //use g_l('global', '[allowedChars][file]') as title

	private const CHARS_FOLDER = 'A-Za-z0-9~:._\-\[\]\(\)';

	/** @phan-var string use this pattern for all filenames without extension */
	public const CHARS_PATTERN_FOLDER = '[' . self::CHARS_FOLDER . ']+';

	public const CHARS_PATH_FORBIDDEN = '[^' . self::CHARS_FOLDER  . '\/]';

	/** @phan-var string */
	public const CHARS_PATTERN_EXTENDED = '[A-Za-z0-9_\-\. ]+'; //use g_l('global', '[allowedChars][extended]') as title
}
