<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: af87aa135b22 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-03-25 09:29 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_category_tree extends we_tree_base{

	protected function customJSFile(): string{
		return we_html_element::jsScript(WE_JS_MODULES_DIR . 'mod_tree.js', "initTree('" . we_modules_info::CATEGORY . "',0);");
	}

	/**
	 *
	 * @param int $ParentID
	 * @param int $offset
	 * @param int $segment
	 * @param bool $sort
	 * @return array<int,array{id:int,parentid:int,text:string,typ:string,open:bool,isfolder:bool,disabled:bool,tooltip:string,offset:int,contenttype:string,published:bool,table:string}>
	 */
	public static function getItems(int $ParentID, int $offset = 0, int $segment = 500, bool $sort = false): array{
		$items = [];
		foreach(DB_WE::$inst->getAllq('SELECT ID,Text,ParentID,EXISTS(SELECT * FROM ' . CATEGORY_TABLE . ' cc WHERE cc.ParentID=' . CATEGORY_TABLE . '.ID) AS IsFolder FROM ' . CATEGORY_TABLE . ' ORDER BY Text') as $item){
			$items[] = [
				'id' => (int) $item['ID'],
				'parentid' => (int) $item['ParentID'],
				'text' => addslashes($item['Text']),
				'typ' => self::TYP_FOLDER,
				'open' => false,
				'isfolder' => true,
				'disabled' => false,
				'tooltip' => (string) $item['ID'],
				'offset' => $offset,
				'contenttype' => $item['IsFolder'] ? we_base_ContentTypes::CATEGORIES : we_base_ContentTypes::CATEGORY,
				'published' => true,
				'table' => CATEGORY_TABLE
			];
		}
		return $items;
	}

}
