<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: fb36dfcd405b $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-04-19 15:33 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_glossary_menu{

	public static function getMenu(): we_gui_menu{
		$new = new we_gui_menuTop(g_l('modules_glossary', '[menu_new]'), 'fa fa-plus-circle');

		$langs = we_base_country::getWeFrontendLanguagesForBackend();
		foreach($langs as $key => $language){
			$new
				->append(
					(new we_gui_menuSub($language, $language, [we_base_perm::GLOSSARY_NEW]))
					->set([
						new we_gui_menuEntry(g_l('modules_glossary', '[abbreviation]'), ['new_glossary_abbreviation', $key], [we_base_perm::GLOSSARY_NEW]),
						new we_gui_menuEntry(g_l('modules_glossary', '[acronym]'), ['new_glossary_acronym', $key], [we_base_perm::GLOSSARY_NEW]),
						new we_gui_menuEntry(g_l('modules_glossary', '[foreignword]'), ['new_glossary_foreignword', $key], [we_base_perm::GLOSSARY_NEW]),
						new we_gui_menuEntry(g_l('modules_glossary', '[link]'), ['new_glossary_link', $key], [we_base_perm::GLOSSARY_NEW]),
						new we_gui_menuEntry(g_l('modules_glossary', '[textreplacement]'), ['new_glossary_textreplacement', $key], [we_base_perm::GLOSSARY_NEW])
					])
			);
		}

		return new we_gui_menu([
			$new,
				(new we_gui_menuTop(g_l('modules_glossary', '[glossary]'), 'fa fa-commenting'))
				->set([
					//new we_gui_menuEntry(g_l('modules_glossary', '[menu_save]'), ['glossary_save'], [we_base_perm::GLOSSARY_EDIT, we_base_perm::GLOSSARY_NEW]),
					new we_gui_menuEntry(g_l('modules_glossary', '[menu_delete]'), ['delete_glossary'], [we_base_perm::GLOSSARY_DELETE]),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_glossary', '[menu_exit]'), ['exit_glossary'])
				]),
				(new we_gui_menuTop(g_l('modules_glossary', '[menu_options]'), 'fa fa-cog', [we_base_perm::ADMINISTRATOR]))
				->append(new we_gui_menuEntry(g_l('modules_glossary', '[menu_settings]'), ['we_glossary_settings'], [we_base_perm::ADMINISTRATOR]))
		]);
	}

}
