<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: bdc3774dd5b4 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-01-08 20:14 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_helpers_lessParser extends Less_Parser{
	public static $includedFiles = [];

	public function __construct($env = null){
		if(is_array($env)){
			$env['import_callback'] = ['we_helpers_lessParser', 'importCallBack'];
		}
		parent::__construct($env);
	}

	/**
	 *
	 * @param object $env
	 * @return array{string,string}|null
	 */
	public static function importCallBack($env): ?array{
		$matches = [];
		if($env->path->value && preg_match('|#WE:(\d+)#|', $env->path->value, $matches)){
			$hash = getHash('SELECT Path,ParentID FROM ' . FILE_TABLE . ' WHERE ID=' . intval($matches[1]));
			if($hash){
				self::$includedFiles[] = intval($matches[1]);
				['Path' => $path, 'ParentID' => $parentid] = $hash;
			} else {
				$path = '';
				$parentid = 0;
			}
			return [$path ? $env->path->value : $path, ($parentid ? fS('SELECT Path FROM ' . FILE_TABLE . ' WHERE ID=' . $parentid) : '/')];
		}
		return null;
	}

	public function SetInput($file_path): void{
		if(is_numeric($file_path)){
			self::$includedFiles[] = $file_path;
			$this->input = fS('SELECT c.Dat FROM ' . CONTENT_TABLE . ' c WHERE c.Type="txt" AND c.nHash=x\'' . md5('data') . '\' AND c.DocumentTable="tblFile" AND c.DID=' . intval($file_path)); //@phan-suppress-current-line PhanUndeclaredProperty
			$file_path = '';
		}
		parent::SetInput($file_path);
	}

}
