<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: de68f65b3dc9 $
 * $Author: Lukas Imhof $
 * $Date: 2021-01-19 12:13 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_rpcCmd_collectionInsertByID extends we_rpcCmd_collectionGetValidByID{
	protected $position = -1;

	function __construct(){
		$this->position = we_base_request::int('we_cmd', -1, 'position');
		parent::__construct();
	}

	protected function initByRequest(): void{
		parent::initByRequest();
	}

	function execute(): we_rpc_response{
		$validItems = $this->full ? $this->getValidItemsFull() : $this->getValidItems();
		if(!$validItems){
			return $this->resp;
		}
		$result = $this->collection->addItemsToCollection($validItems, $this->position);
		if($this->initSessDat){
			$this->collection->saveInSession($this->transaction);
		} else {
			$this->collection->save();
		}

		$this->resp->setData('items', $result);


		return $this->resp;
	}

}
