<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 8c06aa45cfb7 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-01-14 16:00 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_rpcCmd_customer extends we_rpc_cmd{

	function execute(): we_rpc_response{
		switch($this->CmdShell->getCmd()){
			case 'customerGetUpdateDocumentFilterQuestion':
				return $this->customerGetUpdateDocumentFilterQuestion();
			case 'customerResetFailedLogins':
				return $this->customerResetFailedLogins();
			case'customerFieldEditor':
				return $this->customerFieldEditor();
		}
		return $this->resp;
	}

	private function customerResetFailedLogins(): we_rpc_response{
		$custid = we_base_request::int('custid', 0);
		$db = DB_WE::$inst;
		$user = fS('SELECT Username FROM ' . CUSTOMER_TABLE . ' WHERE ID=' . $custid);
		if($user){
			$db->query('UPDATE ' . FAILED_LOGINS_TABLE . ' SET isValid="false" WHERE UserTable="tblWebUser" AND Username="' . $user . '"');
			$this->resp->setData('data', 'true');
			$this->resp->setData('value', '0 / ' . SECURITY_LIMIT_CUSTOMER_NAME);
		} else {
			$this->resp->setData('data', 'false');
		}
		return $this->resp;
	}

	private function customerGetUpdateDocumentFilterQuestion(): we_rpc_response{
		$we_transaction = we_base_request::_(we_base_request::TRANSACTION, 'we_transaction', '');
		try{
			$document = we_contents_root::getSessionDocument($we_transaction);
			$table = $document->Table;

			$ret = !(we_customer_documentFilter::filterAreQual($table, we_base_request::int('folderId', 0), $document->ID));
			$this->resp->setData('data', $ret);

			return $this->resp;
		}catch(we_exception_base $e){
			$this->resp->setStatus(false);
			return $this->resp;
		}
	}

	private function customerFieldEditor(): we_rpc_response{
		$what = we_base_request::string('field_type', '');
		$field = we_base_request::string('field', '');

		// fixme: Maybe add some Error handling?

		$frame = new we_customer_frames();

		$this->resp->setData('data', $frame->getHTMLEditorRpc($what, 0, $field));

		return $this->resp;
	}

}
