<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 5425877bbb62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-12-15 14:11 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
// FIXME: reduce all onchange JS to single function calls

class we_thumbnail_thumbnail extends we_contents_base{
	public const BACKUP_XML_TAG = 'we:thumbnail';

	/** @var string */
	var $Text = 'new Thumbnail';

	/** @var int */
	var $ParentID = 0;

	/** @var string */
	var $Format = '';

	/** @var int */
	var $Height = 0;

	/** @var int */
	var $Width = 0;

	/** @var string[] */
	var $Options = [];

	/** @var string */
	var $description = '';

	/** @var int */
	var $Quality = 8;

	/** @var string database table in which the object is stored */
	public $Table = THUMBNAILS_TABLE;

	/** initializes all data not static in class and not saved by persistent slots/elements.
	 * This is called from constructor and __wakeup on serialized documents
	 */
	protected function initStatic(): void{
		parent::initStatic();
		$this->persistent_slots = array_merge($this->persistent_slots, [
			'Text' => we_base_request::STRING,
			'ParentID' => we_base_request::INT,
			'Format' => we_base_request::STRING,
			'Height' => we_base_request::INT,
			'Width' => we_base_request::INT,
			'Options' => we_base_request::STRING_LIST,
			'description' => we_base_request::STRING,
			'Quality' => we_base_request::INT
		]);
	}

	function __wakeup(): void{
		parent::__wakeup();
		$this->setElementsFromHTTP();
	}

	public function save(bool $force = true): bool{
		$ret = $this->we_save($force);
		if($ret && $this->ID){
			$ret = we_base_file::checkAndMakeFolder(we_contents_thumbnail::getThumbDirectory(true) . '/' . $this->ID);
		}
		return $ret;
	}

	public function getText(): string{
		return $this->Text;
	}

	public function getWidth(): int{
		return $this->Width;
	}

	public function getHeight(): int{
		return $this->Height;
	}
}
