<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 80c72f54723f $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2021-03-29 16:27 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_thumbnail_tree extends we_tree_base{

	protected function customJSFile(): string{
		return we_html_element::jsScript(WE_JS_MODULES_DIR . 'mod_tree.js', "initTree('" . we_modules_info::THUMB . "',0);");
	}

	public static function getItems(int $ParentID, int $offset = 0, int $segment = 500, bool $sort = false): array{
		$items = [];
		$all = DB_WE::$inst->getAllq('SELECT ID,Text,ParentID,IsFolder FROM ' . THUMBNAILS_TABLE . ' ORDER BY Text');

		foreach($all as $rec){
			$items[] = [
				'id' => (int) $rec['ID'],
				'parentid' => (int) $rec['ParentID'],
				'text' => addslashes($rec['Text']),
				'typ' => $rec['IsFolder'] ? self::TYP_FOLDER : self::TYP_ITEM,
				'open' => false,
				'isfolder' => $rec['IsFolder'],
				'disabled' => false,
				'tooltip' => $rec['ID'],
				'offset' => $offset,
				'contenttype' => $rec['IsFolder'] ? we_base_ContentTypes::FOLDER_DOCUMENT : we_base_ContentTypes::THUMBNAIL,
				'published' => 1,
				'table' => THUMBNAILS_TABLE
			];
		}
		return $items;
	}

}
