<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 52b2acd4a3fd $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-12-05 12:00 +0100 $
 */
class we_tw_a extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);

		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_INPUT];

		$id = new we_weTag_selectorAttribute($this, 'id', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, true);
		$idObject = new we_weTag_selectorAttribute($this, 'id', '', OBJECT_FILES_TABLE, we_base_ContentTypes::OBJECT_FILE, true, we_modules_info::OBJECT);
		$target = new we_weTag_choiceAttribute($this, 'target', '', [
			new we_weTag_option('_top'),
			new we_weTag_option('_parent'),
			new we_weTag_option('_self'),
			new we_weTag_option('_blank'),
			], false, false);
		$confirm = new we_weTag_textAttribute($this, 'confirm', '');
		$button = new we_weTag_selectAttribute($this, 'button', '', we_weTag_selectAttribute::getTrueFalse());
		$return = new we_weTag_selectAttribute($this, 'return', '', we_weTag_selectAttribute::getTrueFalse());
		$hrefonly = new we_weTag_selectAttribute($this, 'hrefonly', '', we_weTag_selectAttribute::getTrueFalse());
		$class = new we_weTag_textAttribute($this, 'class', '');
		$style = new we_weTag_textAttribute($this, 'style', '');
		$params = new we_weTag_textAttribute($this, 'params', '');
		$hidedirindex = new we_weTag_selectAttribute($this, 'hidedirindex', '', we_weTag_selectAttribute::getTrueFalse());
		$amount = new we_weTag_textAttribute($this, 'amount', '', false, we_modules_info::SHOP, '', 'number');
		$delarticle = new we_weTag_selectAttribute($this, 'delarticle', '', we_weTag_selectAttribute::getTrueFalse());
		$delshop = new we_weTag_selectAttribute($this, 'delshop', '', we_weTag_selectAttribute::getTrueFalse(), false, we_modules_info::SHOP);
		$shopname = new we_weTag_textAttribute($this, 'shopname', '', false, we_modules_info::SHOP);
		$editself = new we_weTag_selectAttribute($this, 'editself', '', we_weTag_selectAttribute::getTrueFalse());
		$delete = new we_weTag_selectAttribute($this, 'delete', '', we_weTag_selectAttribute::getTrueFalse());

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'edit', [
			new we_weTag_option('', false, '', [$id, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex], [$id]),
			new we_weTag_option('document', false, '', [$id, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex, $editself, $delete, $return], [
				$id]),
			new we_weTag_option('object', false, we_modules_info::OBJECT, [
				$idObject, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex, $editself, $delete, $return], [$idObject]),
			new we_weTag_option('shop', false, we_modules_info::SHOP, [
				$id, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex, $amount, $delarticle, $delshop, $shopname,], [$id])]
		);


		$this->Attributes = [
			$amount,
			$button,
			$class,
			$confirm,
			$delarticle,
			$delete,
			$delshop,
			$editself,
			$hidedirindex,
			$hrefonly,
			$id,
			$params,
			$return,
			$shopname,
			$style,
			$target,
		];
	}

}
