<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_addDelNewsletterEmail extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::NEWSLETTER;

		$path = new we_weTag_textAttribute($this, 'path', '');
		$mailingList = new we_weTag_textAttribute($this, 'mailingList', '');
		$doubleoptin = new we_weTag_selectAttribute($this, 'doubleoptin', '', we_weTag_selectAttribute::getTrueFalse());
		$expiredoubleoptin = new we_weTag_textAttribute($this, 'expiredoubleoptin', '');
		$mailid = new we_weTag_selectorAttribute($this, 'mailid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT);
		$adminmailid = new we_weTag_selectorAttribute($this, 'adminmailid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT);
		$subject = new we_weTag_textAttribute($this, 'subject', '');
		$adminsubject = new we_weTag_textAttribute($this, 'adminsubject', '');
		$adminemail = new we_weTag_textAttribute($this, 'adminemail', '');
		$from = new we_weTag_textAttribute($this, 'from', '');
		$id = new we_weTag_selectorAttribute($this, 'id', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT);
		$fieldGroup = new we_weTag_textAttribute($this, 'fieldGroup', '');
		$recipientCC = new we_weTag_textAttribute($this, 'recipientCC', '');
		$recipientBCC = new we_weTag_textAttribute($this, 'recipientBCC', '');
		$includeimages = new we_weTag_selectAttribute($this, 'includeimages', '', we_weTag_selectAttribute::getTrueFalse());

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('csv', false, '', [$path, $doubleoptin, $expiredoubleoptin, $mailid, $subject, $from, $id, $mailingList, $recipientCC, $recipientBCC, $adminmailid,
				$adminsubject, $adminemail, $includeimages], [$path]),
			new we_weTag_option('customer', false, we_modules_info::CUSTOMER, [$doubleoptin, $expiredoubleoptin, $mailid, $subject, $from, $id, $fieldGroup, $mailingList,
				$recipientCC, $recipientBCC, $adminmailid, $adminsubject, $adminemail, $includeimages], []),
			new we_weTag_option('emailonly', false, '', [$doubleoptin, $expiredoubleoptin, $mailid, $subject, $from, $id, $adminmailid, $adminsubject, $adminemail, $includeimages], [
				$adminmailid, $adminsubject, $adminemail])], false, we_modules_info::NEWSLETTER);


		$this->Attributes = [$path, $mailingList, $doubleoptin, $expiredoubleoptin, $mailid, $subject, $adminmailid, $adminsubject, $adminemail,
			$from, $id, $fieldGroup, $recipientCC, $recipientBCC, $includeimages];
	}

}
