<?php

declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: f6adef669a22 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-11-25 12:20 +0100 $
 */
class we_tw_href extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];


		$this->Attributes = [
			new we_weTag_textAttribute($this, 'name', '', true, ''),
			new we_weTag_textAttribute($this, 'size', '', false, '', '', 'number'),
			new we_weTag_selectAttribute($this, 'type', '', [
				new we_weTag_option('all'),
				new we_weTag_option('int'),
				new we_weTag_option('ext'),
					], false, ''),
			new we_weTag_selectAttribute($this, 'include', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'file', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'directory', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'reload', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'hidedirindex', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_textAttribute($this, 'user', '', false, we_modules_info::USERS),
			new we_weTag_selectorAttribute($this, 'rootdir', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, false, '', true),
			new we_weTag_selectorAttribute($this, 'startid', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER),
			new we_weTag_selectAttribute($this, 'cfilter', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'only', '', [
				new we_weTag_option('id'),
				new we_weTag_option('path')
					], false, ''),
		];
	}

}
