<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_ifDoctype extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];

		$all = DB_WE::$inst->getAllq('SELECT Text FROM ' . DOC_TYPES_TABLE . ' WHERE IsFolder=0 ORDER BY Path', true);
		$docTypes = [];
		foreach($all as $txt){
			$docTypes[] = new we_weTag_option((string) $txt);
		}
		$this->Attributes = [
			new we_weTag_choiceAttribute($this, 'doctypes', '', $docTypes, false, true, ''),
			new we_weTag_sqlRowAttribute($this, 'doctypeIDs', '', DOC_TYPES_TABLE, false),

			new we_weTag_selectAttribute($this, 'doc', '', [
				new we_weTag_option('top'),
				new we_weTag_option('self'),
				new we_weTag_option('listview'),
				], false),
		];
	}

}
