<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_ifVotingField extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];
		$this->Module = we_modules_info::VOTING;

		$this->Attributes = [
			new we_weTag_selectAttribute($this, 'name', '', [
				new we_weTag_option('question'),
				new we_weTag_option('answer'),
				new we_weTag_option('result'),
				new we_weTag_option('id'),
				new we_weTag_option('date'),
				], true, ''),
			new we_weTag_selectAttribute($this, 'type', '', [
				new we_weTag_option('text'),
				new we_weTag_option('radio'),
				new we_weTag_option('checkbox'),
				new we_weTag_option('select'),
				new we_weTag_option('count'),
				new we_weTag_option('percent'),
				new we_weTag_option('total'),
				new we_weTag_option('answer'),
				new we_weTag_option('voting'),
				new we_weTag_option('textinput'),
				new we_weTag_option('textarea'),
				new we_weTag_option('image'),
				new we_weTag_option('media'),
				], false, ''),
			new we_weTag_textAttribute($this, 'match', '', true, ''),
			new we_weTag_selectAttribute($this, 'operator', '', [
				new we_weTag_option('equal'),
				new we_weTag_option('less'),
				new we_weTag_option('less|equal'),
				new we_weTag_option('greater'),
				new we_weTag_option('greater|equal'),
				new we_weTag_option('contains'),
				], false, '')
		];
	}

}
