<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 637d55e5ce62 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-02-17 18:06 +0100 $
 */
class we_tw_navigationField extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [];
		$this->Module = we_modules_info::NAVIGATION;

		$this->Attributes = [
			new we_weTag_selectAttribute($this, 'name', '', [
				new we_weTag_option('name'),
				new we_weTag_option('accesskey'),
				new we_weTag_option('anchor'),
				new we_weTag_option('current'),
				new we_weTag_option('display'),
				new we_weTag_option('href'),
				new we_weTag_option('hreflang'),
				new we_weTag_option('icon'),
				new we_weTag_option('icon_align'),
				new we_weTag_option('icon_alt'),
				new we_weTag_option('icon_border'),
				new we_weTag_option('icon_height'),
				new we_weTag_option('icon_hspace'),
				new we_weTag_option('icon_title'),
				new we_weTag_option('icon_vspace'),
				new we_weTag_option('icon_width'),
				new we_weTag_option('id'),
				new we_weTag_option('lang'),
				new we_weTag_option('level'),
				new we_weTag_option('link_attribute'),
				new we_weTag_option('parentid'),
				new we_weTag_option('position'),
				new we_weTag_option('properties'),
				new we_weTag_option('rel'),
				new we_weTag_option('tabindex'),
				new we_weTag_option('target'),
				new we_weTag_option('text'),
				new we_weTag_option('title'),
				], false, ''),
			new we_weTag_choiceAttribute($this, 'attributes', '', [
				new we_weTag_option('accesskey'),
				new we_weTag_option('anchor'),
				new we_weTag_option('current'),
				new we_weTag_option('href'),
				new we_weTag_option('hreflang'),
				new we_weTag_option('icon'),
				new we_weTag_option('image'),
				new we_weTag_option('lang'),
				new we_weTag_option('level'),
				new we_weTag_option('link'),
				new we_weTag_option('position'),
				new we_weTag_option('rel'),
				new we_weTag_option('tabindex'),
				new we_weTag_option('target'),
				new we_weTag_option('text'),
				new we_weTag_option('title'),
				], false, true, ''),
			new we_weTag_selectAttribute($this, 'complete', '', [
				new we_weTag_option('image'),
				new we_weTag_option('link'),
				], false, ''),
		];
	}

}
