<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_object extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_INPUT];
		$this->Module = we_modules_info::OBJECT;

		$this->Attributes = [
			new we_weTag_textAttribute($this, 'name', '', false, ''),
			new we_weTag_textAttribute($this, 'text', '', false, ''),
			new we_weTag_selectorAttribute($this, 'classid', '', OBJECT_TABLE, we_base_ContentTypes::OBJECT, false, we_modules_info::OBJECT),
			new we_weTag_selectorAttribute($this, 'id', '', OBJECT_FILES_TABLE, we_base_ContentTypes::OBJECT_FILE, false, we_modules_info::OBJECT),
			new we_weTag_textAttribute($this, 'size', '', false, '', '', 'number'),
			new we_weTag_selectorAttribute($this, 'triggerid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, ''),
			new we_weTag_selectAttribute($this, 'hidedirindex', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'objectseourls', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'searchable', '', we_weTag_selectAttribute::getTrueFalse())
		];
	}

}
