<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_select extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_INPUT];
		$this->DefaultValue = '<option>#1</option>
<option>#2</option>
<option>#3</option>';

		$name = new we_weTag_textAttribute($this, 'name', '', true, '');
		$size = new we_weTag_textAttribute($this, 'size', '', false, '', '', 'number');
		$reload = new we_weTag_selectAttribute($this, 'reload', '', we_weTag_selectAttribute::getTrueFalse());
		$values = new we_weTag_textAttribute($this, 'values', '', false, '');
		$multiple = new we_weTag_selectAttribute($this, 'multiple', '', we_weTag_selectAttribute::getTrueFalse(true));

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('', false, '', [$name, $size, $reload]),
			new we_weTag_option('html', false, '', [$name, $size, $reload]),
			new we_weTag_option('csv', false, '', [$name, $size, $reload, $values])]);

		$this->Attributes = [$name, $size, $reload, $values, $multiple];
	}

}
