<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_url extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;

		$id_document = new we_weTag_selectorAttribute($this, 'id', '', FILE_TABLE, implode(',', [
				we_base_ContentTypes::WEDOCUMENT,
				we_base_ContentTypes::IMAGE,
				we_base_ContentTypes::CSS,
				we_base_ContentTypes::JS,
				we_base_ContentTypes::APPLICATION,
				we_base_ContentTypes::AUDIO,
				we_base_ContentTypes::VIDEO,
				we_base_ContentTypes::PDF]), true, '');
		$id_object = new we_weTag_selectorAttribute($this, 'id', '', OBJECT_FILES_TABLE, we_base_ContentTypes::OBJECT_FILE, true, we_modules_info::OBJECT);
		$triggerid = new we_weTag_selectorAttribute($this, 'triggerid', '', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false);
		$hidedirindex = new we_weTag_selectAttribute($this, 'hidedirindex', '', we_weTag_selectAttribute::getTrueFalse());
		$objectseourls = new we_weTag_selectAttribute($this, 'objectseourls', '', we_weTag_selectAttribute::getTrueFalse());
		$this->Attributes = [];
		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('document', false, '', [$id_document, $hidedirindex], [$id_document]),
			new we_weTag_option('object', false, we_modules_info::OBJECT, [$id_object, $triggerid, $hidedirindex, $objectseourls], [$id_object])], false, '');

		$this->Attributes = [$id_document, $id_object, $triggerid, $hidedirindex, $objectseourls];
	}

}
