<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6cc64d37551c $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-25 11:32 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_users_menu{

	public static function getMenu(): we_gui_menu{
		return new we_gui_menu([
				(new we_gui_menuTop(g_l('modules_users', '[menu][new]'), 'fa fa-plus-circle'))
				->set([
					new we_gui_menuEntry(g_l('modules_users', '[menu][user]'), ['new_user'], [we_base_perm::USER_NEW]),
					new we_gui_menuEntry(g_l('modules_users', '[menu][alias]'), ['new_alias'], [we_base_perm::USER_NEW]),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_users', '[menu][group]'), ['new_group'], [we_base_perm::USER_GROUP_NEW]),
				]),
				(new we_gui_menuTop(g_l('modules_users', '[menu][user]'), 'fa fa-user'))
				->set([
					new we_gui_menuEntry(g_l('modules_users', '[menu][save]'), ['save_user'], [we_base_perm::USER_GROUP_NEW, we_base_perm::USER_NEW, we_base_perm::USER_SAVE,
						we_base_perm::USER_GROUP_SAVE]),
					new we_gui_menuEntry(g_l('modules_users', '[menu][delete]'), ['delete_user'], [we_base_perm::USER_DELETE, we_base_perm::USER_GROUP_DELETE]),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_users', '[menu][exit]'), ['exit_users'])
				])
		]);
	}

}
