<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 037c8f9b22a4 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2021-04-09 19:09 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_versions_log{
	const VERSIONS_DELETE = 'delete';
	const VERSIONS_RESET = 'reset';
	const VERSIONS_PREFS = 'prefs';

	/** @var string */
	public $action;

	/** @var string */
	public $data;

	/** @var int */
	public $userID = 0;

	/** @var string */
	public $username = '';

	/** @var string */
	protected $typ = '';

	/** @var array<string,string> */
	public $persistent_slots = [
		'ID' => we_base_request::INT,
		'logDate' => we_base_request::DATE_TIME,
		'typ' => we_base_request::STRING,
		'userID' => we_base_request::INT,
		'data' => we_base_request::STRING
	];

	public function __construct(){
		$this->userID = we_users_user::getID();
	}

	function load(): array{
		return DB_WE::$inst->getAllq('SELECT l.ID,DATE_FORMAT(l.logDate,"' . g_l('weEditorInfo', '[mysql_date_format]') . '") AS logDate,l.typ,l.userID,u.username FROM ' . VERSIONSLOG_TABLE . ' l LEFT JOIN ' . USER_TABLE . ' u ON u.ID=l.userID ORDER BY logDate DESC');
	}

	private function saveLog(): void{
		$set = [];

		foreach(array_keys($this->persistent_slots) as $val){
			if(isset($this->{$val}) && $this->{$val} !== null){
				$set[$val] = $this->{$val};
			}
		}

		if($set){
			DB_WE::$inst->query('INSERT INTO ' . VERSIONSLOG_TABLE . ' SET ' . we_database_base::arraySetter($set));
		}
	}

	function saveVersionsLog(array $logArray, string $action = ''): void{
		$this->typ = $action;
		$this->data = we_serialize($logArray, SERIALIZE_JSON);
		$this->saveLog();
	}

}
